def process_dct(
    dct, prefix="", valid_types=(str, int, float), force_fun=str, wrapper_fun=None, *, type_changed_keys=None
):
    if dct is None:
        return {}
    processed_dict = {}
    for key, value in dct.items():
        processed_key = f"{prefix}{key}"
        if valid_types and force_fun and not isinstance(value, valid_types):
            processed_value = force_fun(value)
            if isinstance(type_changed_keys, set):
                type_changed_keys.add(processed_key)
        else:
            processed_value = value
        if wrapper_fun:
            processed_value = wrapper_fun(processed_value)
        processed_dict[processed_key] = processed_value
    return processed_dict
